Subject: Re: [Netconf] [Gen-art] Genart last call review of draft-ietf-netconf-nmda-netconf-06

From: Alissa Cooper <[email-masked]>
Date: Wed, 26 Sep 2018 14:25:28 -0700

Christer, thanks for your review. I have flagged your first comment in my No Objection ballot since it seems like a good point to clarify.

Alissa

> On Jul 16, 2018, at 6:55 AM, Juergen Schoenwaelder <[email-masked]> wrote:
> 
> On Tue, Jul 10, 2018 at 04:14:43AM -0700, Christer Holmberg wrote:
>> 
>> Minor issues:
>> 
>> Sometimes, when a draft updates an existing RFC, people ask whether
>> implementations not implementing the draft are still compliant with the updated
>> RFC. Based on discussions, the consensus seems to be that existing
>> implementations are still compliant, and if one wants to mandate the new
>> features a bis is needed. I would just like to confirm whether that applies
>> also to this draft. If so, perhaps a note indicating that would be useful, in
>> order to avoid discussions in future?
> 
> An existing NETCONF server not implementing NMDA is still compliant to
> the RFC 6241. However, a NETCONF server implementing NMDA (RFC 8342)
> has to implement this update to RFC 6241. Do you want to have this
> stated more explicitly? (We will have the same for RESTCONF and the
> NMDA update of RESTCONF.)
> 
>> Related to that, it would also be good to have an interoperability
>> statement, saying that implementations that implement the draft will
>> still work with implementations that do not.
> 
> This primarily concerns clients: They need to be able to fallback to
> using <edit-config> instead of <edit-data> and <get> instead of
> <get-data> if they communicate with a non NMDA NETCONF server. I am
> not sure whether this is a "SHOULD be able to fallback" or a "MUST be
> able to fallback".
> 
> /js
> 
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
> Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art

---

From: Martin Bjorklund <[email-masked]>
Date: Mon, 01 Oct 2018 08:52:45 +0200 (CEST)

Hi,

Alissa Cooper <[email-masked]> wrote:
> Christer, thanks for your review. I have flagged your first comment in
> my No Objection ballot since it seems like a good point to clarify.
> 
> Alissa
> 
> > On Jul 16, 2018, at 6:55 AM, Juergen Schoenwaelder
> > <[email-masked]> wrote:
> > 

How about:

OLD:

   An NMDA-compliant NETCONF server MUST support the operational state
   datastore and it MUST implement at least revision 201X-XX-XX of the
   "ietf-yang-library" module defined in [I-D.ietf-netconf-rfc7895bis].

NEW:

   An NMDA-compliant NETCONF server MUST implement the module
   "ietf-netconf-nmda" defined in this document, MUST support the
   operational state datastore, and it MUST implement at least revision
   201X-XX-XX of the "ietf-yang-library" module defined in
   [I-D.ietf-netconf-rfc7895bis].

/martin